# Create New Wallet Address

The generateAddress API is a RESTful API endpoint that allows you to generate a new cryptocurrency wallet address for a specified account.

<mark style="color:green;">`POST`</mark> `https://wallet-api.xaigate.com/api/v1/generateAddress`

**Parameter content type: application/json**

#### Request Body

| Name                                        | Type   | Description                          |
| ------------------------------------------- | ------ | ------------------------------------ |
| apiKey<mark style="color:red;">\*</mark>    | String | fdda9f03-6409-43eb-a6ef-e1f6cea71c2e |
| userId<mark style="color:red;">\*</mark>    | String | 097f35dd-a806-43ef-ab0d-f121cb11567e |
| networkId<mark style="color:red;">\*</mark> | Stirng | 1                                    |

{% tabs %}
{% tab title="200 Success" %}

```javascript
{
    "name"="Wilson",
    "owner": {
        "id": "sha7891bikojbkreuy",
        "name": "Samuel Passet",
    "species": "Dog",}
    "breed": "Golden Retriever",
}
```

{% endtab %}

{% tab title="401 Unauthorized" %}

{% endtab %}
{% endtabs %}

### Request Parameter <a href="#request-parameter" id="request-parameter"></a>

| **Parameter**                                        | **Type** | **Sample Value**  |
| ---------------------------------------------------- | -------- | ----------------- |
| apiKey <mark style="color:red;">(required)</mark>    | String   | ​                 |
| userId <mark style="color:red;">(required)</mark>    | String   | ​                 |
| networkId <mark style="color:red;">(required)</mark> | String   | ​Enum: 1, 56, TRX |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
  "apiKey": "fdda9f03-6409-43eb-a6ef-e1f6cea71c2e",
  "userId": "b3e36e1a-296f-4198-bda1-180c51aff14a",
  "networkId": 1
}
```

### Response (<mark style="color:green;">200 Ok</mark> - https status code) <a href="#response-200-ok-https-status-code" id="response-200-ok-https-status-code"></a>

| **Response** | **Type** | **Sample Value**                                    |
| ------------ | -------- | --------------------------------------------------- |
| address      | String   | ​It is the address where funds are sent or received |

### Example Value <a href="#example-value-1" id="example-value-1"></a>

```
{
    "address": "0x3A93c5618F5d10EA43dCda6A689a31228442F61c"
}
```
